Bug 210142

Summary: makewhatis binary is required for building release even with WITHOUT_MAN_UTILS=YES
Product: Base System Reporter: Sergey <kpect>
Component: confAssignee: Ed Maste <emaste>
Status: Closed FIXED    
Severity: Affects Many People CC: emaste
Priority: ---    
Version: CURRENT   
Hardware: amd64   
OS: Any   

Description Sergey 2016-06-08 14:23:09 UTC
Hello.
I have found out that file /usr/src/Makefile.inc1 contains following
# Needed for share/man
.if ${MK_MAN} != "no"
ITOOLS+=makewhatis
.endif

I have settings in /etc/src.conf:
#WITHOUT_MAN=YES
WITHOUT_MAN_UTILS=YES
which should build man pages but skip man utils (I use mandoc from ports)

but building release iso fails, requiring makewhatis file, I suppose it should be set as:
# Needed for share/man
.if ${MK_MAN_UTILS} != "no"
ITOOLS+=makewhatis
.endif

Regards
Comment 1 Sergey 2016-06-14 08:03:37 UTC
In my case building fails saying makewhatis binary couldn't been found in the path.
Comment 2 commit-hook freebsd_committer 2016-07-19 18:05:53 UTC
A commit references this bug:

Author: emaste
Date: Tue Jul 19 18:05:26 UTC 2016
New revision: 303034
URL: https://svnweb.freebsd.org/changeset/base/303034

Log:
  Include makewhatis in ITOOLS when MK_MAN_UTILS is true

  Previously it was conditional on MK_MAN. It's possible to build
  FreeBSD with man pages but without man page tools. MK_MAN_UTILS
  is the conditional used in share/man/Makefile for determining whether
  makewhatis is executed at install time, so it is the proper one for
  ITOOLS as well.

  PR:		210142
  MFC after:	1 week

Changes:
  head/Makefile.inc1
Comment 3 commit-hook freebsd_committer 2016-07-26 15:23:20 UTC
A commit references this bug:

Author: emaste
Date: Tue Jul 26 15:22:21 UTC 2016
New revision: 303337
URL: https://svnweb.freebsd.org/changeset/base/303337

Log:
  MFC r303034: Include makewhatis in ITOOLS when MK_MAN_UTILS is true

  Previously it was conditional on MK_MAN. It's possible to build
  FreeBSD with man pages but without man page tools. MK_MAN_UTILS
  is the conditional used in share/man/Makefile for determining whether
  makewhatis is executed at install time, so it is the proper one for
  ITOOLS as well.

  PR:		210142
  Approved by:	re (gjb)

Changes:
_U  stable/11/
  stable/11/Makefile.inc1
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2016-08-08 07:20:50 UTC
Already committed and MFCed.